<?php 
/*------------INICIO----------------*/
class PDF extends FPDF
{
	

	// Cabecera de página
	function Header()
	{
	    // Logo
	    $this->Image('pdf/tutorial/gampv.png',10,6,21); // esc
	    //$this->Image('gampv_2.png',40,60,130);  //fond img
	    /*********************/
	    // Arial bold 15
	    $this->SetFont('Arial','B',14);
	    // Movernos a la derecha
	    $this->Cell(27);
	    // Título1
	    $this->Cell(70,10,utf8_decode('GAM - PUERTO VILLARROEL'),0,0,'');
	    // Salto de línea
	    $this->Ln(5);
	    /*********************/
	    // Arial bold 15
	    $this->SetFont('Arial','B',11);
	    // Movernos a la derecha
	    $this->Cell(27);
	    // Título2
	    $this->Cell(60,10,utf8_decode('5TA SECC. PROV. CARRASCO'),0,0,'');
	    $this->Cell(25);
	       /*********implement************/
	 //   $this->SetFont('Arial','B',10);
	  //  $this->Cell(-35,15,'    FRM - 02',0,0,'');
		 
		
		//$this->SetFont('Arial','B',14);
	   // $this->Cell(-15,25,utf8_decode('            INFORME DE COMISION'),0,0,'');
	  
	       /*********************/
	    
	   // $this->SetFont('Arial','B',18);
	   // $this->Cell(-5,35,utf8_decode('                           DE VIAJE'),0,0,'');
	    //salto de linia
	    $this->Ln(5);
	    /*********************/
	    // Arial bold 15
	    $this->SetFont('Arial','',10);
	    // Movernos a la derecha
	    $this->Cell(27);
	    // Título2
	    $this->Cell(135,10,utf8_decode('Cochabamba - Bolivia'),0,0,'');
	    //salto de linia
	    $this->Ln(5);
	    /*********************/
	    // Arial bold 15
	    $this->SetFont('Arial','',8);
	    // Movernos a la derecha
	    $this->Cell(27);
	    // Título2
	    $this->Cell(100,10,utf8_decode('Teléfono : 04413-6281'),0,0,'');
	    //salto de linia
	    $this->Ln(5);
	    $this->Cell(27);
	    $this->Cell(135,10,utf8_decode('NIT : 124913020'),0,0,'');
	    //salto de linia
	    $this->Ln(7);
	    /******************/
	    $this->Cell(27);
	    $this->Cell(160,0,'',1,0,'C');
	    //salto de linia
	    $this->Ln(6);
	}

	// Pie de página
	function Footer()
	{
	    // Posición: a 1,5 cm del final
	    $this->SetY(-20);
	    // Arial italic 8
	    $this->SetFont('Arial','I',8);
	    // Número de página
	    /*$this->Cell(0,10,utf8_decode('página ').$this->PageNo().'/{nb}',0,0,'C');*/
	    $this->Cell(5);
	    $this->Cell(180,0,(''),1,0,'');
	    $this->Ln();
	    $this->Cell(5);
	    $this->SetFont('Arial','B',8);
	    $this->SetTextColor(1,1,97);		//color del texto 
	    $this->Cell(20,10,utf8_decode('Importante : '),0,0,'');

	    
	    $this->SetFont('Arial','I',7);
	    $this->Cell(160,10,utf8_decode(' El presente formulario (informe de viaje ) deberá ser presentado  en un plazo de tres dias habiles después de haber realizado el viaje, evento. '),0,0,'');
		$this->Ln(5);
		$this->Write(4,"\n web: https://puertovillarroel.gob.bo/recursos.html\n\n");
	    //$this->SetY(-15);
	    //$this->Image('../tempQR/imgTempViaje.png',180,115,25,25);
	    //print "gampv".date('Y');
	}
	function Justify($text, $w, $h)
{
    $tab_paragraphe = explode("\n", $text);
    $nb_paragraphe = count($tab_paragraphe);
    $j = 0;

    while ($j<$nb_paragraphe) {

        $paragraphe = $tab_paragraphe[$j];
        $tab_mot = explode(' ', $paragraphe);
        $nb_mot = count($tab_mot);

        // Handle strings longer than paragraph width
        $tab_mot2 = array();
        $k = 0;
        $l = 0;
        while ($k<$nb_mot) {

            $len_mot = strlen ($tab_mot[$k]);
            if ($len_mot<($w-5) )
            {
                $tab_mot2[$l] = $tab_mot[$k];
                $l++;    
            } else {
                $m=0;
                $chaine_lettre='';
                while ($m<$len_mot) {

                    $lettre = substr($tab_mot[$k], $m, 1);
                    $len_chaine_lettre = $this->GetStringWidth($chaine_lettre.$lettre);

                    if ($len_chaine_lettre>($w-7)) {
                        $tab_mot2[$l] = $chaine_lettre . '-';
                        $chaine_lettre = $lettre;
                        $l++;
                    } else {
                        $chaine_lettre .= $lettre;
                    }
                    $m++;
                }
                if ($chaine_lettre) {
                    $tab_mot2[$l] = $chaine_lettre;
                    $l++;
                }

            }
            $k++;
        }

        // Justified lines
        $nb_mot = count($tab_mot2);
        $i=0;
        $ligne = '';
        while ($i<$nb_mot) {

            $mot = $tab_mot2[$i];
            $len_ligne = $this->GetStringWidth($ligne . ' ' . $mot);

            if ($len_ligne>($w-5)) {

                $len_ligne = $this->GetStringWidth($ligne);
                $nb_carac = strlen ($ligne);
                $ecart = (($w-2) - $len_ligne) / $nb_carac;
                $this->_out(sprintf('BT %.3F Tc ET',$ecart*$this->k));
                $this->MultiCell($w,$h,$ligne);
                $ligne = $mot;

            } else {

                if ($ligne)
                {
                    $ligne .= ' ' . $mot;
                } else {
                    $ligne = $mot;
                }

            }
            $i++;
        }

        // Last line
        $this->_out('BT 0 Tc ET');
        $this->MultiCell($w,$h,$ligne);
        $j++;
    }
}
}
/*---------------FIM--------------------*/

?>